#include <iostream>
#include <string>
#include <algorithm>
#include <vector>
using namespace std;

bool f(string a,string b)
{
    int aLen=a.size();
    int bLen=b.size();
    int duzina=(aLen>=bLen)*aLen +(bLen>aLen)*bLen;
    for(int i=0;i<duzina;i++)
    {
        if(a[i]>b[i])
            return true;
        else
            if(a[i]<b[i])
                return false;
    }
    return true;
}



int main()
{
    vector <string> str;
    for(int i=0;i<3;i++)
    {
        string h;
        cin>>h;
        str.push_back(h);
    }

    str.push_back("2");
    str.pop_back();

    sort(str.begin(),str.end(),f);
    for(int i=0;i<3;i++)
    {
        cout<<str[i];
    }
    return 0;
}